# Transfer Learning with Deep Tabular Models

This supplement provides the code used in our submission "Transfer Learning with Deep Tabular Models".
Our code is a transfer learning adaptation of the publicly available repository [
`tabular-dl-revisiting-models`](https://github.com/Yura52/tabular-dl-revisiting-models) distributed under MIT license.

###Usage instructions:
- `bin/` directory contains scripts with model and transfer learning setups implementation
- `lib/` directory contains scripts for data loading, preprocessing and evaluation metrics
- `rtdl/` directory contains utility files of the [
`tabular-dl-revisiting-models`](https://github.com/Yura52/tabular-dl-revisiting-models) repository
- To run a single experiment, with e.g. FT-Transformer: `python bin/ft_transformer.py config.toml` where `config.toml` is a config file specifying the experimental details.
- Example config files for each model are located in `example_configs/` directory.
- The environment setup follows [
`tabular-dl-revisiting-models`](https://github.com/Yura52/tabular-dl-revisiting-models).

###Data instructions:
MIMIC-IV database is freely available to any person upon completion of the credentialing process found at the following [link](https://mimic-iv.mit.edu/docs/access/).
To construct the MetaMIMIC Repository, please first obtain access to MIMIC-IV and then follow the instructions of the [`metaMIMIC`](https://github.com/ModelOriented/metaMIMIC) Github.
The resulting files should be placed in the `/data` directory in the root of this repository.

